<template>
   <v-container>
        <h2 class="secondary--text" align="center"> 
            Edició d'equips </h2>
        <v-divider class="mt-2"></v-divider>

        <v-row class="mt-1"> 
              <v-col cols="12" align="center" justify="space-around">
                    <v-btn class="mb-3 primary">
                      Afegir equip
                      <v-icon class="ml-3">mdi-account-multiple-plus-outline</v-icon>
                    </v-btn>
               </v-col>
        </v-row>

        <div>
           <v-list>
               <v-list-item-group>
                   
                   <template v-for="team in teams">
                       <v-list-item two-line :key="team.id">
                           <v-list-item-content>
                               <v-list-item-title>{{team.username}}</v-list-item-title>
                               <v-list-item-subtitle>{{team.players}}</v-list-item-subtitle>
                               <v-list-item-subtitle>{{team.score}} punts</v-list-item-subtitle>
                           </v-list-item-content>
                           <v-list-item-action>
                               <v-row align="center" justify="center">
                                   <v-btn icon><v-icon>mdi-pencil</v-icon></v-btn>
                                   <v-btn icon><v-icon>mdi-delete</v-icon></v-btn>
                               </v-row>
                           </v-list-item-action>
                       </v-list-item>
                   </template>
               </v-list-item-group>
           </v-list>

        </div>


    </v-container>
</template>

<script>
export default {
    middleware: ["auth", "admin"],
    computed:{
    teams(){
      var items = this.$store.getters.readTeams 

      var items = items.filter(function(item) {
          return item.username !== 'admin'; 
            });



      items.sort(function (a, b){
        return (b.score - a.score)})
      
      for(let i = 0; i < items.length ; i++){
        const element = items[i]
        element.position = i+1
      }

      return items
    }
  },
}

</script>